NVIDIA Linux GPU Display (2021 年 4 月)

high Nessus Plugin ID 149046
新推出!Plugin 嚴重性目前使用 CVSS v3

計算 Plugin 嚴重性已更新為預設使用 CVSS v3 沒有 CVSS v3 評分的 Plugin 會回歸到以 CVSS v2 計算嚴重性。您可在設定下拉式選單中切換顯示嚴重性的喜好設定

Synopsis

遠端 Linux 主機上安裝的顯示驅動程式受到多個弱點影響。

描述

遠端主機上的 NVIDIA GPU 顯示驅動程式軟體缺少安全性更新。因此受到多個弱點影響:

- 適用於 Windows 和 Linux 的 NVIDIA GPU 顯示驅動程式的所有版本在核心模式層 (nvlddmkm.sys 或 nvidia.ko) 有一個弱點,不當的存取控制可能導致拒絕服務、資訊洩漏或資料損毀 (CVE-2021-1076)。

- 適用於 Windows 和 Linux 的 NVIDIA GPU 顯示驅動程式 (R450 和 R460 驅動程式分支) 有一個弱點,其中軟體會使用參照計數來管理未正確更新的資源,這可能導致拒絕服務 (CVE-2021-1077)。

請注意,Nessus 並未測試此問題,而是僅依據應用程式自我報告的版本號碼。

解決方案

依照廠商公告,升級 NVIDIA 圖形驅動程式。

另請參閱

http://www.nessus.org/u?651e081d

Plugin 詳細資訊

嚴重性: High

ID: 149046

檔案名稱: nvidia_unix_2021_04.nasl

版本: 1.5

類型: local

代理程式: unix

系列: Misc.

已發布: 2021/4/28

已更新: 2021/8/11

相依性: nvidia_unix_driver_detect.nbin

組態: 啟用 Paranoid 模式

風險資訊

CVSS 評分資料來源: CVE-2021-1076

VPR

風險因素: Medium

分數: 6.7

CVSS v2

風險因素: Medium

基本分數: 4.6

時間分數: 3.4

媒介: AV:L/AC:L/Au:N/C:P/I:P/A:P

時間媒介: E:U/RL:OF/RC:C

CVSS v3

風險因素: High

基本分數: 7.8

時間分數: 6.8

媒介: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

時間媒介: E:U/RL:O/RC:C

弱點資訊

CPE: cpe:/a:nvidia:gpu_driver

必要的 KB 項目: NVIDIA_UNIX_Driver/Version, NVIDIA_UNIX_Driver/GPU_Model, Settings/ParanoidReport

可輕鬆利用: No known exploits are available

修補程式發佈日期: 2021/4/19

弱點發布日期: 2021/4/19

參考資訊

CVE: CVE-2021-1076, CVE-2021-1077

IAVB: 2021-B-0027